Pegasys3 Utility for Mac compatibility with MacOS 10.15 (Catalina)

  • 319 Views
  • Last Post 06 November 2019
Eric Young posted this 15 October 2019

Is the Utility compatible with 10.15?  Mine keeps crashing since the upgrade to 10.15

  • Liked by
  • Kreg Kowarsch
Order By: Standard | Latest | Votes
Raghuraman Kannan posted this 16 October 2019

Hi Eric,

We are working on a updated version. It will be released soon. 

Do check our websites for updates.

Thanks !

Kreg Kowarsch posted this 06 November 2019

Is there a projected release for a MacOS 10.15 compatible Utility?  

  • Liked by
  • Jaroslav Kovac
  • John Harrison
John Harrison posted this 06 November 2019

Yes please let us know - I currently have no access to my external data

Close